<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsArray Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_array.html">XsArray</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#ae9b9cac2f5f744895311f343e07ee6c1">m_data</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#abd1797e031ec46502cc2f43f2a07100d">m_descriptor</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#a9f4574fd74cedfc943e8e2bfa534e67f">m_flags</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#a9a81e31122b1cf37ced75d230407bd3a">m_reserved</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#a0793355de1a10a119d47ab5df4c51228">m_size</a></td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#a0d5f403a6fd0facdd372528d3bc2ea78">operator=</a>(const XsArray &amp;src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#aef16b8d4034c873176dec9742a83e6ac">XsArray</a>(XsArrayDescriptor const *descriptor, XsSize count=0, void const *src=0)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#a40a6e7331ef221bc2abeceb9b72e8e6b">XsArray</a>(const XsArray &amp;src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_array.html#af4ff96562e117bfcd424f9389f06c67e">XsArray</a>(XsArrayDescriptor const *descriptor, void *ref, XsSize count, XsDataFlags flags)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga6556d22268f56b6dbd77befdbdad0f68">XsArray_append</a>(void *, void const *other)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga7b75e01c27f76b4d91aaa135e4e1a5c3">XsArray_assign</a>(void *, XsSize count, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga4de36061187ffca3834ee403bfaff57d">XsArray_at</a>(void const *, XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga5004f8c9e45e57e43b09d6160648591c">XsArray_atIndex</a>(void *, XsSize index)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga63b78f3e6c2315d7e9741a9336781c49">XsArray_compare</a>(void const *a, void const *b)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga5791e1de38d98c182bded026fe32be5c">XsArray_comparePredicate</a>(void const *a, void const *b, XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga72561edb500d3e01c3aeb40de6d6a3db">XsArray_compareSet</a>(void const *a, void const *b)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga7222e508e1e5b424ba34648a4e31fd98">XsArray_construct</a>(void *, XsArrayDescriptor const *const descriptor, XsSize count, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga913d8e0e6cd77c2384b236e634e1881e">XsArray_copy</a>(void *, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga953d7cc7a9ecd8405f2d85b50edc0d56">XsArray_copyConstruct</a>(void *, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga754df4d700d8f759e3dd29aca3ab629f">XsArray_destruct</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaf58b413c81de5fca223fec5400d93497">XsArray_empty</a>(void const *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gaf24f468427e969e5a5daecb55cd36288">XsArray_erase</a>(void *, XsSize index, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga6969403e331f28f7534cc2945ddcc09c">XsArray_find</a>(void const *, void const *needle)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga111e1736fbf35d3e27bd175e69ee30db">XsArray_findPredicate</a>(void const *, void const *needle, XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga1698369198b2417d5b5021a660281297">XsArray_insert</a>(void *, XsSize index, XsSize count, void const *src)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gaa10ad30f3431b893da57aee83b1c36ab">XsArray_rawCopy</a>(void *to, void const *from, XsSize count, XsSize iSize)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gac8d1845c9e3d0e754c40807de07208d4">XsArray_removeDuplicates</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gad6fd24b950238efd3b37a8baa8035bdb">XsArray_removeDuplicatesPredicate</a>(void *, XsArrayItemCompareFunc predicate)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga9e7d83d6428ea82a43d4c44167e75c54">XsArray_reserve</a>(void *, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gaee0c5bdd163bb6ca4e295e4ae2f4d1bb">XsArray_resize</a>(void *, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gad632e91875917de99f559bbcbbdb3774">XsArray_reverse</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga4f5d82677d289cd44b222435cadce9df">XsArray_sort</a>(void *)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gad01697484c2c698f779345d64e199a5f">XsArray_swap</a>(void *a, void *b)</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_array.html#aae0b944eec563d90e8ce5b3e765e1c70">~XsArray</a>()</td><td class="entry"><a class="el" href="struct_xs_array.html">XsArray</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
